diff options
author | Peter Hutterer <peter.hutterer@who-t.net> | 2017-06-13 12:28:37 +1000 |
---|---|---|
committer | Peter Hutterer <peter.hutterer@who-t.net> | 2017-06-13 12:28:37 +1000 |
commit | 44b9dca9d5887015423db6457aefab7646b6280e (patch) | |
tree | 3ed9c9d0e51457577946a7058b65bfef7754ddc3 /tools | |
parent | b3779caef7ea8ade701ae0e0b189200ac2002e34 (diff) |
tools: update the publish-doc tool to use ninja
Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
Diffstat (limited to 'tools')
-rwxr-xr-x | tools/publish-doc | 10 |
1 files changed, 7 insertions, 3 deletions
diff --git a/tools/publish-doc b/tools/publish-doc index d88edc3..1a91e1a 100755 --- a/tools/publish-doc +++ b/tools/publish-doc @@ -4,9 +4,13 @@ set -e [ -e doc ] || (echo "Run this from the project root" && exit 1) -make +if ! [ -f build/build.ninja ]; then + echo "Setting up meson in directory 'build'" + meson build +fi +ninja -C build -[ -e doc/html ] || (echo "HTML documentation failed to build" && exit 1) +[ -e build/html ] || (echo "HTML documentation failed to build" && exit 1) path=latest @@ -15,4 +19,4 @@ if [ -n "$1" ]; then path="$1" fi -rsync --delete -avz doc/html/ freedesktop.org:/srv/wayland.freedesktop.org/www/libinput/doc/$path +rsync --delete -avz build/html/ freedesktop.org:/srv/wayland.freedesktop.org/www/libinput/doc/$path |